<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC Generator (erpcgen): Value Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC Generator (erpcgen)
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_value.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="class_value-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Value Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p>Abstract base class for values of arbitrary types.  
 <a href="class_value.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_value_8h_source.html">Value.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Value:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_value.png" usemap="#Value_map" alt=""/>
  <map id="Value_map" name="Value_map">
<area href="class_float_value.html" title="Double floating point value. " alt="FloatValue" shape="rect" coords="0,56,115,80"/>
<area href="class_integer_value.html" title="32-bit unsigned integer value. " alt="IntegerValue" shape="rect" coords="125,56,240,80"/>
<area href="class_string_value.html" title="String value. " alt="StringValue" shape="rect" coords="250,56,365,80"/>
<area href="class_sized_integer_value.html" title="Adds a word size attribute to IntegerValue. " alt="SizedIntegerValue" shape="rect" coords="125,112,240,136"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aeae5b32fd20812506e28077c55435015"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeae5b32fd20812506e28077c55435015"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Value</b> (value_type_t theType)</td></tr>
<tr class="separator:aeae5b32fd20812506e28077c55435015"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa67d20e19fb0a4d81b4caddb1d4ac11"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afa67d20e19fb0a4d81b4caddb1d4ac11"></a>
virtual value_type_t&#160;</td><td class="memItemRight" valign="bottom"><b>getType</b> () const </td></tr>
<tr class="separator:afa67d20e19fb0a4d81b4caddb1d4ac11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4dd8c49629bdbd9b0313889e5dd7bae6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4dd8c49629bdbd9b0313889e5dd7bae6"></a>
virtual std::string&#160;</td><td class="memItemRight" valign="bottom"><b>getTypeName</b> () const  =0</td></tr>
<tr class="separator:a4dd8c49629bdbd9b0313889e5dd7bae6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2a8b55277e7b066cb41959625f94dab"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad2a8b55277e7b066cb41959625f94dab"></a>
virtual size_t&#160;</td><td class="memItemRight" valign="bottom"><b>getSize</b> () const  =0</td></tr>
<tr class="separator:ad2a8b55277e7b066cb41959625f94dab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ed8e61ea6e50d3252e0279ed28c1fbb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8ed8e61ea6e50d3252e0279ed28c1fbb"></a>
virtual std::string&#160;</td><td class="memItemRight" valign="bottom"><b>toString</b> () const  =0</td></tr>
<tr class="separator:a8ed8e61ea6e50d3252e0279ed28c1fbb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c71eea2c1a4bb61da14e54848e126b4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6c71eea2c1a4bb61da14e54848e126b4"></a>
virtual <a class="el" href="class_value.html">Value</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>clone</b> () const  =0</td></tr>
<tr class="separator:a6c71eea2c1a4bb61da14e54848e126b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Abstract base class for values of arbitrary types. </p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="_value_8h_source.html">Value.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
